﻿using System;
using System.Data.SqlClient;
using System.Windows.Forms;
using CSharpLibrary.SqlTypes;
using CSharpLibrary.stuff;

namespace ProjetoLPVIII
{
    public partial class Retirada_de_livros : Form
    {
        public Cliente c;
        public Funcionario f;
        public Item i;

        DateTime d1, d2;

        public Retirada_de_livros(Funcionario f)
        {
            InitializeComponent();
            this.f = f;
            txtNomeFuncionario.Text = f.nome;
        }
        public void UpdateTxt()
        {
            if(i != null)
                txtNomeItem.Text = i.nomeItem;
            if(c != null)
                txtNomeCliente.Text = c.nome;
        }

        private void psqCli_Click(object sender, EventArgs e)
        {
            search srch = new search(this, 7);
            srch.Show();
        }

        private void psqFunc_Click(object sender, EventArgs e)
        {
            search srch = new search(this, 6);
            srch.Show();
        }

        private void psqItem_Click(object sender, EventArgs e)
        {
            search srch = new search(this, 5);
            srch.Show();
        }

        private void btnLimpar_Click(object sender, EventArgs e)
        {
            txtNomeCliente.Clear();
            txtNomeItem.Clear();
            dateTimePicker1.ResetText();
            dateTimePicker2.ResetText();
        }

        private void btnSalvar_Click(object sender, EventArgs e)
        {
            d1 = dateTimePicker1.Value;
            d2 = dateTimePicker2.Value;
            SqlException sql = null;
            try
            {
                Emprestimo ef = new Emprestimo(null, (int)f.id, (int)c.id, i.idItem, d1, d2, "EMPRESTADO");
                ef.Add();
            }
            catch (SqlException g)
            {
                sql = g;
                MessageBox.Show("Falha no empréstimo!");
            }
            if (sql == null)
            {
                MessageBox.Show("Empréstimo realizado!");
                this.Close();
            }
        }
    }
}
